module.exports = {
  presets: [
    [
      '@babel/preset-env',
      {
        targets: {
          node: 'current',
        },
      },
    ],
    ['@babel/preset-typescript', {
      allowDeclareFields: true
    }],
  ],
  plugins: [
    [
      'module-resolver',
      {
        alias: {
          '@/adapters': './source/adapters',
          '@/domain': './source/domain',
          '@/helpers': './source/helpers',
          '@/infrastructure': './source/infrastructure',
          '@/main': './source/main',
          '@/shared': './source/shared',
          '@/utils': './source/utils',
          '@/types': './source/types',
          '@/decorators': './source/decorators',
          '@/events': './source/events',
        },
      },
    ],
    ['@babel/plugin-transform-typescript', {
      allowDeclareFields: true,
      allowNamespaces: true
    }],
    ['@babel/plugin-proposal-decorators', {
      legacy: true
    }],
    '@babel/plugin-proposal-private-methods',
    '@babel/plugin-proposal-class-properties',
  ],
  ignore: ['**/*.spec.ts', 'source/__mocks__/*.ts', 'source/__tests__/*.ts'],
}