"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.disconnect = exports.connect = exports.build = void 0;

var _dotenv = require("dotenv");

var _database = _interopRequireDefault(require("../config/database"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-console */

/* eslint-disable @typescript-eslint/no-var-requires */
(0, _dotenv.config)();

const build = async () => {
  await _database.default.sync();
  const models = _database.default.models;
  return {
    models,
    database: _database.default
  };
};

exports.build = build;

const connect = async () => {
  await _database.default.authenticate();
  console.log('Conectado ao banco de dados com sucesso!');
};

exports.connect = connect;

const disconnect = async () => {
  return _database.default.close().then(() => {
    console.log('Desconectado do banco de dados com sucesso!');
  });
};

exports.disconnect = disconnect;