"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.database = void 0;

var _sequelizeTypescript = require("sequelize-typescript");

var _options = _interopRequireDefault(require("./options"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable import-helpers/order-imports */

/* eslint-disable @typescript-eslint/no-var-requires */

/*
	CONFIGURAçÃO DO DATABASE
*/
const database = new _sequelizeTypescript.Sequelize({
  timezone: '-03:00',
  database: _options.default.database,
  username: _options.default.username,
  password: _options.default.password,
  dialect: 'mariadb',
  host: _options.default.host,
  pool: {
    max: 25000,
    min: 0,
    acquire: 300000,
    idle: 3000000
  },
  hooks: {
    beforeBulkSync: options => {
      console.log('Sincronizando banco de dados...');
    },

    afterBulkSync(options) {
      console.log(`Sincronizado com sucesso`);
    }

  },
  retry: {
    max: 5
  },
  port: _options.default.port,
  logging: false,
  modelMatch: (filename, member) => {
    // reges to match models
    const regexp = /model.(ts|js)$/;
    return regexp.test(filename) && member === 'default';
  },
  models: [__dirname + '/../models']
});
exports.database = database;
var _default = database;
exports.default = _default;