"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Options = exports.ENV = void 0;

/* eslint-disable @typescript-eslint/no-var-requires */
require('dotenv').config();

let ENV;
exports.ENV = ENV;

(function (ENV) {
  ENV["development"] = "development";
  ENV["production"] = "production";
  ENV["deploy"] = "deploy";
  ENV["test"] = "test";
})(ENV || (exports.ENV = ENV = {}));

const Options = {
  [ENV.development]: {
    username: process.env.DATABASE_USERNAME || 'root',
    password: process.env.DATABASE_PASSWORD || 'admin',
    database: process.env.DATABASE || 'auxilio_cultural',
    host: process.env.DATABASE_HOST || 'localhost',
    port: process.env.DATABASE_PORT || 3306
  },
  [ENV.production]: {
    username: process.env.DATABASE_USERNAME,
    password: process.env.DATABASE_PASSWORD,
    database: process.env.DATABASE,
    host: process.env.DATABASE_HOST,
    port: process.env.DATABASE_PORT
  },
  [ENV.test]: {
    database: process.env.DATABASE || 'test',
    username: process.env.DATABASE_USERNAME || 'root',
    password: process.env.DATABASE_PASSWORD || 'admin',
    host: process.env.DATABASE_HOST || 'localhost',
    port: process.env.DATABASE_PORT || 3306
  },
  [ENV.deploy]: {
    username: process.env.DATABASE_USERNAME || 'root',
    password: process.env.DATABASE_PASSWORD || 'admin',
    database: process.env.DATABASE || 'auxilio_cultural',
    host: process.env.DATABASE_HOST || 'localhost',
    port: process.env.DATABASE_PORT || 3306
  }
};
exports.Options = Options;
var _default = Options[process.env.NODE_ENV || ENV.test];
exports.default = _default;