"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.db = void 0;

var _audiovisual = _interopRequireDefault(require("./models/audiovisual.model"));

var _books = _interopRequireDefault(require("./models/books.model"));

var _datasheet = _interopRequireDefault(require("./models/datasheet.model"));

var _documentsProducts = _interopRequireDefault(require("./models/documents-products.model"));

var _documentsProjects = _interopRequireDefault(require("./models/documents-projects.model"));

var _documents = _interopRequireDefault(require("./models/documents.model"));

var _institution = _interopRequireDefault(require("./models/institution.model"));

var _music = _interopRequireDefault(require("./models/music.model"));

var _options = _interopRequireDefault(require("./models/options.model"));

var _products = _interopRequireDefault(require("./models/products.model"));

var _projects = _interopRequireDefault(require("./models/projects.model"));

var _sponsor = _interopRequireDefault(require("./models/sponsor.model"));

var _user = _interopRequireDefault(require("./models/user.model"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Configurando Models
 */
const db = (() => {
  return {
    ModelBooks: _books.default,
    ModelDocuments: _documents.default,
    ModelInfoProducts: _products.default,
    ModelOptionsProduct: _options.default,
    ModelInstitution: _institution.default,
    ModelDataSheetProducts: _datasheet.default,
    ModelDocsProducts: _documentsProducts.default,
    ModelSponsorProduct: _sponsor.default,
    ModelMusics: _music.default,
    ModelAudioVisual: _audiovisual.default,
    ModelDocProject: _documentsProjects.default,
    ModelProject: _projects.default,
    ModelUser: _user.default
  };
})();

exports.db = db;
var _default = db;
exports.default = _default;