/* eslint-disable import-helpers/order-imports */
/* eslint-disable @typescript-eslint/no-var-requires */
/*
	CONFIGURAçÃO DO DATABASE
*/

import { Sequelize } from 'sequelize-typescript'

import options from './options'

export const database: Sequelize = new Sequelize({
	timezone: '-03:00',
	database: options.database,
	username: options.username,
	password: options.password,
	dialect: 'mariadb',
	host: options.host,
	pool: { max: 25000, min: 0, acquire: 300000, idle: 3000000 },
	hooks: {
		beforeBulkSync: (options) => {
			console.log('Sincronizando banco de dados...')
		},
		afterBulkSync(options) {
			console.log(`Sincronizado com sucesso`)
		},
	},
	retry: {
		max: 5,
	},
	port: options.port,
	logging: false,
	modelMatch: (filename, member) => {
		// reges to match models
		const regexp = /model.(ts|js)$/
		return regexp.test(filename) && member === 'default'
	},
	models: [__dirname + '/../models'],
})

export default database
