import { ModelCtor } from 'sequelize-typescript'

import ModelAudioVisual from '../models/audiovisual.model'
import ModelBooks from '../models/books.model'
import ModelDataSheetProducts from '../models/datasheet.model'
import ModelDocsProducts from '../models/documents-products.model'
import ModelDocProject from '../models/documents-projects.model'
import ModelDocuments from '../models/documents.model'
import ModelInstitution from '../models/institution.model'
import ModelMusics from '../models/music.model'
import ModelOptionsProduct from '../models/options.model'
import ModelInfoProducts from '../models/products.model'
import ModelProject from '../models/projects.model'
import ModelSponsorProduct from '../models/sponsor.model'
import ModelUser from '../models/user.model'

export type DbModels = {
	ModelBooks: ModelCtor<ModelBooks>
	ModelDocuments: ModelCtor<ModelDocuments>
	ModelInfoProducts: ModelCtor<ModelInfoProducts>
	ModelOptionsProduct: ModelCtor<ModelOptionsProduct>
	ModelInstitution: ModelCtor<ModelInstitution>
	ModelDataSheetProducts: ModelCtor<ModelDataSheetProducts>
	ModelDocsProducts: ModelCtor<ModelDocsProducts>
	ModelSponsorProduct: ModelCtor<ModelSponsorProduct>
	ModelMusics: ModelCtor<ModelMusics>
	ModelAudioVisual: ModelCtor<ModelAudioVisual>
	ModelDocProject: ModelCtor<ModelDocProject>
	ModelProject: ModelCtor<ModelProject>
	ModelUser: ModelCtor<ModelUser>
}

// eslint-disable-next-line @typescript-eslint/no-namespace
export declare namespace DbModels {
	export type ModelBooks = ModelCtor
	export type ModelInfoProducts = ModelCtor
	export type ModelDocuments = ModelCtor
	export type ModelOptionsProduct = ModelCtor
	export type ModelInstitution = ModelCtor
	export type ModelDataSheetProducts = ModelCtor
	export type ModelDocsProducts = ModelCtor
	export type ModelSponsorProduct = ModelCtor
	export type ModelMusics = ModelCtor
	export type ModelAudioVisual = ModelCtor
	export type ModelDocProject = ModelCtor
	export type ModelProject = ModelCtor
	export type ModelUser = ModelCtor
}

export default DbModels