export interface IModelSponsor {
	id: number
	idProduct: number
	idSponsor?: number
	typeResource: number
	valueResource?: string
	createdAt?: Date
}

export interface IModelInstitution {
	id: number
	name: string
	abbreviation?: string
	cnpj: string
	city?: string
	logo?: string
	idUser?: number
	createdAt?: Date
}

export interface IModelOptions {
	id: number
	label: string
	type: number
}

export type IModelBooks = {
	id?: number
	idDocument: number
	idProduct: number
	author: string
	title: string
	subTitle?: string
	isbn: string
	publisher?: string
	publicationDate?: string
	numberOfPages?: string
	dimensions?: string
	synopsis?: string
	illustration?: boolean
	illustrator?: string
	tags?: string
	genres?: string
	createdAt?: Date
}

export interface IModelDocsProducts {
	id: number
	idProduct: number
	file: string
	description?: string
	type: number
	filePath: string
	createdAt?: Date
}

export interface IModelDataSheet {
	id: number
	idProduct: number
	cpf_cnpj: string
	name: string
	about: string
	responsible?: boolean
	personFunction: number
	imgProfile?: string
	idUser?: number
	createdAt?: Date
}

export interface IModelInfoProducts {
	id: number
	title: string
	about?: string
	thumbnail?: string
	category: number
	subCategory: number
	financialResource: number
	link?: string
	cpf_cnpj: string
	idUser?: number
	idUserRegistered?: number
	idInstitution?: number
	location?: string
	createdAt?: Date
	updatedAt?: Date
	active?: boolean
}

export interface IModelMusic {
	id: number
	idProduct: number
	idDocument: number
	title: string
	artist: string
	duration: string
	composer: string
	createdAt?: Date
}

export interface IModelProgramsTV {
	id: number
	idProduct: number
	title: string
	playlistId: string
	videoId: string
	publishedAt: string
	description: string
	thumbnail: string
	active?: boolean
	createdAt?: Date
}

export interface IModelProject {
	id: number
	idUser: number
	cpf: string
	nameProject: string
	summaryProject: string
	aboutProject: string
	typeProject: string
	urlProject: string
	dateStart: Date
	dateEnd: Date
	hourEnd: string
	status: number // Verificar apenas ativados 1, fechados 2 -> não mostrar arquivados 3, edição 0
	createdAt?: string
	updateAt?: string
	type: number
	company: string
	city: string
	amountOfVacancies: number
	amountOfEnrollment: number
	financialResource: string
	yearRelease: string
}

export interface IModelDocProject {
	id: number
	idProject: number
	file: string
	createdAt?: string
	name: string
	type: number
	typeFile: string
	link: string
	updated: boolean
}

export interface IModelDocuments {
	id: number
	idUser: number
	file: string
	date?: string
	document: number // cpf
	type: number
	description: string
	filePath: string // link
	numberInscription: string
	createdAt?: string
	updated: boolean
	typeFile: string
}

export interface IModelUser {
	id: number
	cpf: string
	cpf_cnpj: string
	cpfRepresented: string
	representative: string
	email: string
	name: string
	type: string
	city: string
	password: string
	typeAccess: string
	dateRegister: string
	dateUpdate: string
	validAccount: number
	accessKey: string
	ipUsed: string
	accessCount: number
	updatedByAdmin: number
	idValidated: number
	typeUser: number
	sector: string
	agency: string
	migrated: string
	idMigrated: number
	columnControlDocs: number
	session: number
	dateLastAccess: string
	active: number
	dateLogout: string
	idAgency: number
}