import { Optional } from 'sequelize';
import { Model } from 'sequelize-typescript';
import { IModelUser } from '@/types/models';
declare type IModelCreationAttributes = Optional<IModelUser, 'id'>;
declare class ModelUser extends Model<IModelUser, IModelCreationAttributes> implements IModelUser {
    representative: string;
    typeAccess: string;
    idValidated: number;
    typeUser: number;
    idMigrated: number;
    columnControlDocs: number;
    dateLastAccess: string;
    dateLogout: string;
    idAgency: number;
    id: number;
    cpf: string;
    cpf_cnpj: string;
    cpfRepresented: any;
    hasRepresentative: string;
    email: string;
    name: string;
    type: string;
    city: string;
    password: string;
    accessType: string;
    dateRegister: string;
    dateUpdate: string;
    validAccount: number;
    accessKey: string;
    ipUsed: string;
    accessCount: number;
    updatedByAdmin: number;
    validatedId: number;
    userType: number;
    sector: string;
    agency: string;
    migrated: string;
    migratedId: number;
    documentControlColumn: number;
    session: number;
    lastAccessDate: Date;
    active: number;
    dateOfLogoff: Date;
    agencyId: number;
}
export default ModelUser;
